> ## Documentation Index
> Fetch the complete documentation index at: https://docs.interactly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Workflow Webhook Events



## OpenAPI

````yaml https://api-prod.interactly.ai/api-docs/workflows/api.json get /workflows/v1/workflow-webhooks/events
openapi: 3.1.0
info:
  title: Interactly API
  description: API for building interactly.ai services
  version: 1.1.0
  contact:
    name: Interactly
    url: https://interactly.ai
    email: developers@interactly.ai
servers:
  - url: https://api-prod.interactly.ai
    description: API Server
security: []
paths:
  /workflows/v1/workflow-webhooks/events:
    get:
      tags:
        - Workflow Webhooks
      summary: List Workflow Webhook Events
      operationId: >-
        workflow_service_list_workflow_webhook_events_v1_workflow_webhooks_events_get
      parameters:
        - name: subscription_id
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/PydanticObjectId'
              - type: 'null'
            title: Subscription Id
        - name: workflow_id
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/PydanticObjectId'
              - type: 'null'
            title: Workflow Id
        - name: action
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/WorkflowWebhookAction'
              - type: 'null'
            title: Action
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/WorkflowWebhookEventStatus'
              - type: 'null'
            title: Status
        - name: size
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            description: Number of items per page
            default: 300
            title: Size
          description: Number of items per page
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            description: Page number
            default: 1
            title: Page
          description: Page number
        - name: search
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Search keywords
            title: Search
          description: Search keywords
        - name: start
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            description: Filter by start time (ISO 8601 format)
            title: Start
          description: Filter by start time (ISO 8601 format)
        - name: end
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            description: Filter by end time (ISO 8601 format)
            title: End
          description: Filter by end time (ISO 8601 format)
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkflowWebhookEventsListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - bearer: []
components:
  schemas:
    PydanticObjectId:
      type: string
      maxLength: 24
      minLength: 24
      pattern: ^[0-9a-f]{24}$
      example: 5eb7cf5a86d9755df3a6c593
    WorkflowWebhookAction:
      type: string
      enum:
        - workflow_created
        - workflow_updated
        - workflow_deleted
        - workflow_run_started
        - workflow_run_completed
      title: WorkflowWebhookAction
    WorkflowWebhookEventStatus:
      type: string
      enum:
        - pending
        - retrying
        - delivered
        - failed
      title: WorkflowWebhookEventStatus
    WorkflowWebhookEventsListResponse:
      properties:
        events:
          items:
            $ref: '#/components/schemas/WorkflowWebhookEventModel'
          type: array
          title: Events
        total:
          type: integer
          title: Total
      type: object
      required:
        - events
        - total
      title: WorkflowWebhookEventsListResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    WorkflowWebhookEventModel:
      properties:
        team_id:
          anyOf:
            - type: string
            - type: 'null'
          description: ID of the team that owns this edge
        created_by:
          anyOf:
            - type: string
            - type: 'null'
          description: ID of the user who created this edge
        updated_by:
          anyOf:
            - type: string
            - type: 'null'
          description: ID of the user who last updated this edge
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        _id:
          anyOf:
            - $ref: '#/components/schemas/PydanticObjectId'
            - type: 'null'
          description: MongoDB document ObjectID
        event_id:
          type: string
          minLength: 1
          title: Event Id
          description: External idempotent event id
        subscription_id:
          anyOf:
            - type: string
            - type: 'null'
          description: Webhook subscription id
        action:
          $ref: '#/components/schemas/WorkflowWebhookAction'
        workflow_id:
          anyOf:
            - type: string
            - type: 'null'
        workflow_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Workflow Name
        workflow_run_id:
          anyOf:
            - type: string
            - type: 'null'
        workflow_run_status:
          anyOf:
            - type: string
            - type: 'null'
          title: Workflow Run Status
        payload:
          additionalProperties: true
          type: object
          title: Payload
        dedupe_key:
          anyOf:
            - type: string
            - type: 'null'
          title: Dedupe Key
        status:
          $ref: '#/components/schemas/WorkflowWebhookEventStatus'
          default: pending
        attempts_count:
          type: integer
          minimum: 0
          title: Attempts Count
          default: 0
        next_retry_at:
          type: string
          format: date-time
          title: Next Retry At
        delivered_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Delivered At
        last_attempt_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Attempt At
        last_status_code:
          anyOf:
            - type: integer
            - type: 'null'
          title: Last Status Code
        last_error:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Error
      type: object
      required:
        - event_id
        - subscription_id
        - action
      title: WorkflowWebhookEventModel
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: Bearer
      type: http
      description: >-
        Retrieve your API Key from [Dashboard API Keys
        Section](https://dashboard.interactly.ai/api-keys).

````